#! /bin/sh
# boalibrc.sh
# """
# NAM: boalibrc.sh
# DES: Resource script which keeps the whole bunch
#      of environment variables used by boa.
# """

export BOA_LIB_VERSION=2010-06-24

export BOA_LIB_HOME=/usr/local/boalib

export PATH=$BOA_LIB_HOME/bin:$PATH

if [ -f "$BOA_LIB_HOME/idl/MBFits.xml" ]; then 
    export MBFITSXML="$BOA_LIB_HOME/idl/MBFits.xml"
fi

if [ -d "${BOA_LIB_HOME}/lib/pgplot" ];  then
    export PGPLOT_DIR="$BOA_LIB_HOME/lib/pgplot"
    export PGPLOT_DEV=/XWINDOW
    if [ -z "${LD_LIBRARY_PATH}" ]; then
	export LD_LIBRARY_PATH="$PGPLOT_DIR"
    else
	export LD_LIBRARY_PATH="$PGPLOT_DIR:$LD_LIBRARY_PATH"
    fi
fi

if [ -f "/usr/lib/python2.5/site-packages/interactive.py" ]; then 
    export PYTHONSTARTUP="/usr/lib/python2.5/site-packages/interactive.py"
fi

if [ -z "$PYTHONPATH" ]; then
    export PYTHONPATH="/usr/lib/python2.5/site-packages"
else
    export PYTHONPATH="/usr/lib/python2.5/site-packages:$PYTHONPATH"
fi

export LAPACK="${BOA_LIB_HOME}/lib"
export BLAS="${BOA_LIB_HOME}/lib"

